%define major		2
%define libname		%mklibname rapi %major
%define develname	%mklibname -d rapi

Name:		librapi
Summary:	SynCE: Remote Application Programming Interface (RAPI) library
Version:	0.12
Release:	%{mkrel 1}
License:	MIT
Group:		System/Libraries
Source0:	%{name}%{major}-%{version}.tar.gz
URL:		http://synce.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libsynce-devel = %{version}
BuildRequires:	python-devel
BuildRequires:	python-pyrex
Conflicts:	synce < 0.9.3
Obsoletes:	synce-%{name} <= %{version}-%{release}

%description
Librapi is part of the SynCE project.
The RAPI library is an open source implementation that works like
RAPI.DLL, available on Microsoft operating systems. The library makes
it possible to make remote calls to a computer running Pocket PC.
Documentation for the RAPI calls is available at this address:

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wcesdkr/htm/_wcesdk_CeRapiInit.asp

%package -n	%{libname}
Group:		System/Libraries
Summary:	SynCE: Remote Application Programming Interface (RAPI) library
Conflicts:	%{mklibname -d rapi} < 0.11-8mdv2008.1

%description -n %{libname}
Librapi is part of the SynCE project. This package contains shared
libraries.

%package -n	%{name}-python
Group:		System/Libraries
Summary:	SynCE: Remote Application Programming Interface (RAPI) library
Requires:	%{libname} = %{version}-%{release}
Requires:	python
Obsoletes:	%{mklibname rapi 2}-python <= %{version}-%{release}

%description -n %{name}-python
Librapi is part of the SynCE project. This package contains Python
bindings.

%package -n	%{develname}
Group:		Development/C
Summary:	SynCE: Remote Application Programming Interface (RAPI) library
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}synce0-devel < 0.9.3
Conflicts:	%{mklibname rapi 2} < 0.11-8mdv2008.1
Obsoletes:	%mklibname -d rapi 2 <= %{version}-%{release}

%description -n %{develname}
Librapi is part of the SynCE project. This package contains development
headers.

%prep
%setup -q -n librapi2-%{version}

%build
%configure2_5x --with-libsynce=%{_prefix}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README TODO
%{_libdir}/%{name}.so
%{_libdir}/%{name}.*a
%{_includedir}/rapi.h
%{_libdir}/pkgconfig/*.pc

%files -n %{name}-python
%{py_platsitedir}/pyrapi2.*



%changelog
* Wed Jul 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.12-1mdv2009.0
+ Revision: 236629
- new release 0.12

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.11.1-1mdv2009.0
+ Revision: 194613
- drop all patches (merged upstream)
- new release 0.11.1

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-9mdv2008.1
+ Revision: 189196
- add timeout.patch: from upstream SVN, increases a timeout (avoids problems when removing larger applications)

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-8mdv2008.1
+ Revision: 187221
- streamline file lists
- python package should be %%{name}-python not %%{libname}-python
- move docs from lib to devel package, add conflicts to ensure successful upgrade
- add rapierror.patch (RAPIError must be a subclass of Exception - needed to fix a bug in sync-engine)
- version all obsoletes
- Clean up spec (tabs, macros, descriptions)

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 0.11-7mdv2008.1
+ Revision: 161182
- correctly obsoletes old devel package

* Mon Jan 14 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-6mdv2008.1
+ Revision: 151760
- add provides

* Sat Jan 12 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-5mdv2008.1
+ Revision: 149804
- fix obsoletes again

* Fri Jan 11 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-4mdv2008.1
+ Revision: 149175
- split binaries into a separate package
- fix obsoletes

* Thu Jan 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-2mdv2008.1
+ Revision: 147736
- import librapi


